Subject: bug#11445: [External] : bug#11445: 24.0.96; Customize buffer edit fields should have undo

From: Drew Adams <[email-masked]>
Date: Thu, 3 Jun 2021 17:51:59 +0000

> > > C-x u again: "No further undo information".  But that's not expected; if
> > > undo worked, the field value would be the default value.
> >
> > Ah, right -- I can reproduce that, too.
> 
> Question is whether it's even well defined to do this differently.
> 
> It's not that every text field has its own undo.  Undo stops at points
> when widgets changed because undoing further would undo changes
> involving widgets, which ones are there, how they look like, etc.  Since
> using widgets has side effects (like setting variables or saving) just
> undoing anything would potentially lead to an inconsistent state.
> 
> How would you address this problem?

I think I understand what you're saying.  But undo
should be about user actions, and their effects
(consequences).  Yes, the effects of user actions
here include (at least some) "changes involving widgets".

Looking at this from (only) a user point of view,
this seems broken (i.e., calling for improvement).

I have no idea how to address fixing it.